class NoGoodsDialogStyleModel {
  String titleImg;
  String bgColor;
  List<IconList> iconList;
  ModuleList moduleList;

  NoGoodsDialogStyleModel(
      {this.titleImg, this.bgColor, this.iconList, this.moduleList});

  NoGoodsDialogStyleModel.fromJson(Map<String, dynamic> json) {
    titleImg = json['title_img'];
    bgColor = json['bg_color'];
    if (json['icon_list'] != null) {
      iconList = new List<IconList>();
      json['icon_list'].forEach((v) {
        iconList.add(new IconList.fromJson(v));
      });
    }
    moduleList = json['module_list'] != null
        ? new ModuleList.fromJson(json['module_list'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['title_img'] = this.titleImg;
    data['bg_color'] = this.bgColor;
    if (this.iconList != null) {
      data['icon_list'] = this.iconList.map((v) => v.toJson()).toList();
    }
    if (this.moduleList != null) {
      data['module_list'] = this.moduleList.toJson();
    }
    return data;
  }
}

class IconList {
  String image;
  String title;
  String textColor;

  IconList({this.image, this.title, this.textColor});

  IconList.fromJson(Map<String, dynamic> json) {
    image = json['image'];
    title = json['title'];
    textColor = json['text_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['image'] = this.image;
    data['title'] = this.title;
    data['text_color'] = this.textColor;
    return data;
  }
}

class ModuleList {
  Title title;
  Title segment;
  Content content;
  Btn btn;

  ModuleList({this.title, this.segment, this.content, this.btn});

  ModuleList.fromJson(Map<String, dynamic> json) {
    title = json['title'] != null ? new Title.fromJson(json['title']) : null;
    segment =
    json['segment'] != null ? new Title.fromJson(json['segment']) : null;
    content =
    json['content'] != null ? new Content.fromJson(json['content']) : null;
    btn = json['btn'] != null ? new Btn.fromJson(json['btn']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.title != null) {
      data['title'] = this.title.toJson();
    }
    if (this.segment != null) {
      data['segment'] = this.segment.toJson();
    }
    if (this.content != null) {
      data['content'] = this.content.toJson();
    }
    if (this.btn != null) {
      data['btn'] = this.btn.toJson();
    }
    return data;
  }
}

class Title {
  String name;
  String content;
  String textColor;

  Title({this.name, this.content, this.textColor});

  Title.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    content = json['content'];
    textColor = json['text_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['name'] = this.name;
    data['content'] = this.content;
    data['text_color'] = this.textColor;
    return data;
  }
}

class Content {
  String name;
  String textColor;
  String bgColor;

  Content({this.name, this.textColor, this.bgColor});

  Content.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    textColor = json['text_color'];
    bgColor = json['bg_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['name'] = this.name;
    data['text_color'] = this.textColor;
    data['bg_color'] = this.bgColor;
    return data;
  }
}

class Btn {
  String name;
  String content;
  String type;
  String textColor;
  String bgColor;
  String bgImage;

  Btn(
      {this.name,
        this.content,
        this.type,
        this.textColor,
        this.bgColor,
        this.bgImage});

  Btn.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    content = json['content'];
    type = json['type'];
    textColor = json['text_color'];
    bgColor = json['bg_color'];
    bgImage = json['bg_image'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['name'] = this.name;
    data['content'] = this.content;
    data['type'] = this.type;
    data['text_color'] = this.textColor;
    data['bg_color'] = this.bgColor;
    data['bg_image'] = this.bgImage;
    return data;
  }
}
